<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_TextMessage_ReturnID StructType
 * @subpackage Structs
 */
class Send_TextMessage_ReturnID extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The TextMessageSend
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\TextMessageSend
     */
    public $TextMessageSend;
    /**
     * Constructor method for Send_TextMessage_ReturnID
     * @uses Send_TextMessage_ReturnID::setLogin()
     * @uses Send_TextMessage_ReturnID::setTextMessageSend()
     * @param \StructType\Login $login
     * @param \StructType\TextMessageSend $textMessageSend
     */
    public function __construct(\StructType\Login $login = null, \StructType\TextMessageSend $textMessageSend = null)
    {
        $this
            ->setLogin($login)
            ->setTextMessageSend($textMessageSend);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_TextMessage_ReturnID
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get TextMessageSend value
     * @return \StructType\TextMessageSend|null
     */
    public function getTextMessageSend()
    {
        return $this->TextMessageSend;
    }
    /**
     * Set TextMessageSend value
     * @param \StructType\TextMessageSend $textMessageSend
     * @return \StructType\Send_TextMessage_ReturnID
     */
    public function setTextMessageSend(\StructType\TextMessageSend $textMessageSend = null)
    {
        $this->TextMessageSend = $textMessageSend;
        return $this;
    }
}
